# Contributing

Thank you for considering contributing to Pixelcat!

Pixelcat is still in development. This means everything is subject to change. 

## Bugs

Bug reports and fixes are very welcome. Please always include the Android and Pixelcat versions, the fediverse server as well as precise steps to reproduce the problem.
Issues without this information may be closed without comments.

## Features

If you want to contribute a new feature, please open an issue or comment on an existing one before you start so misconceptions can be cleared up beforehand.

## Translations

Please do not contribute any translations. The English source strings are far from final, you would be wasting your time

## Pull requests

**Only Kotlin code will be accepted.**

**Pull requests that do not pass automated checks may not be reviewed.** In particular, you need to keep in mind:
- Tests (run locally with `./gradlew test`)
- Code formatting (check locally with `./gradlew ktlintCheck`)

